<?php
declare(strict_types=1);

namespace WP_AUX\Enum\CtaTypes;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum AllCtaNoButtonsTypesEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case None = 'none';
  case LinkedHeading = 'linked-heading';
  case Link = 'link';
  case Links = 'links';
  case Button = 'button';

  public const SETTING_LABEL = 'All CTA types';

  public function label(): string
  {
    return match($this) {
      self::None => 'None',
      self::LinkedHeading => 'Linked Heading',
      self::Link => 'Link',
      self::Links => 'Links',
      self::Button => 'Button',
    };
  }
}
